INSTALL.in 23.1 KB
Newer Older
1
--------------------------------------
2
Installation instructions for GIMP @GIMP_APP_VERSION@
3
--------------------------------------
4

5
There are some basic steps to building and installing GIMP.
6

7
GIMP @GIMP_APP_VERSION@ replaces earlier GIMP 2.x versions. It is advised that you
8
uninstall them before installing GIMP @GIMP_APP_VERSION@. If you want to keep your
9
older GIMP 2.x installation in parallel to GIMP @GIMP_APP_VERSION@, you have to
Sven Neumann's avatar
Sven Neumann committed
10 11
choose a separate prefix which is not in your default library search
path.
12

13
GIMP @GIMP_APP_VERSION@ is fully backward compatible to all earlier GIMP 2.x version.
14
Plug-ins and scripts written for GIMP 2.6 or earlier GIMP 2.x versions
15
will continue to work and don't need to be changed nor recompiled to
16
be used with GIMP @GIMP_APP_VERSION@.
17

18 19 20 21
The most important part is to make sure the requirements for a build
are fulfilled.  We depend on a number of tools and libraries which are
listed below. For libraries this means you need to also have the
header files installed.
22

Sven Neumann's avatar
Sven Neumann committed
23

24 25 26 27 28 29 30
  ******************************************************************
  * Unless you are experienced with building software from source, *
  * you should not attempt to build all these libraries yourself!  *
  * We suggest that you check if your distributor has development  *
  * packages of them and use these instead.                        *
  ******************************************************************

Sven Neumann's avatar
Sven Neumann committed
31

32
  1. You need to have installed a recent version of pkg-config (>= @GIMP_PKGCONFIG_VERSION@) available
Sven Neumann's avatar
Sven Neumann committed
33
     from http://www.freedesktop.org/software/pkgconfig/.
34

35
  2. You need intltool (at least @INTLTOOL_REQUIRED_VERSION@, but preferably a newer version).
36
     Intltool can be downloaded from
Sven Neumann's avatar
Sven Neumann committed
37
     http://ftp.gnome.org/pub/gnome/sources/intltool/
38 39
     You are recommended to install gettext version @XGETTEXT_RECOMMENDED_VERSION@ or over. Earlier gettext had
     issues with script-fu localization, ending up in incomplete GIMP localization.
40

41 42
  3. You need to have GEGL version @GEGL_REQUIRED_VERSION@ or newer and babl version
     @BABL_REQUIRED_VERSION@ or newer. You can get them from http://gegl.org/ or clone
43
     them from the GNOME git repository:
44

45 46
       git://git.gnome.org/babl
       git://git.gnome.org/gegl
47

48 49 50
  4. You need to have installed GTK+ version @GTK_REQUIRED_VERSION@ or newer.
     GIMP also need a recent versions of GLib (>= @GLIB_REQUIRED_VERSION@), GDK-Pixbuf
     (>= @GDK_PIXBUF_REQUIRED_VERSION@), and Pango (>= @PANGOCAIRO_REQUIRED_VERSION@). Sources for these can be grabbed
51
     from ftp://ftp.gtk.org/.
52

53
  5. We use cairo >= @CAIRO_REQUIRED_VERSION@, which is hosted at
54
     http://www.cairographics.org/.
55 56 57

  6. We require PangoCairo, a Pango backend using Cairo. Make sure you
     have Cairo, FreeType2 and fontconfig installed before you compile
58 59
     Pango. GIMP depends on freetype2 being newer than version @FREETYPE2_REQUIRED_VERSION@
     and fontconfig @FONTCONFIG_REQUIRED_VERSION@ or newer. Older versions are known to have
60
     bugs that seriously affect the stability of GIMP.
61

62 63 64 65 66 67
     On Windows platforms in particular, we recommend fontconfig @FONTCONFIG_WIN32_RECOMMENDED_VERSION@
     or newer. Older versions may end up in broken font handling, due to
     inadequate font configuration: font aliases not configured,
     synthetic bold/italic variants unavailable, cache folder in temp
     directory resulting in slow startups, etc.

68 69 70 71 72
     We also require HarfBuzz @HARFBUZZ_REQUIRED_VERSION@ or newer, an
     OpenType text shaping tool. As this is a dependency for Pango, you
     will likely have it installed, but you may have to install a
     development package for the headers.

Jehan's avatar
Jehan committed
73
  7. The file-compressor plug-in requires zlib, libbzip2, and liblzma to
74
     be installed. All these libraries are required dependencies.
75

Jehan's avatar
Jehan committed
76
  8. For metadata access GIMP requires the gexiv2 library. It is hosted
77
     at https://wiki.gnome.org/Projects/gexiv2 .
78

79 80 81
  9. libpng, libjpeg, libtiff and lcms are hard dependencies that can
     not be disabled.

82
 10. For MyPaint brushes, brushlib (libmypaint) @LIBMYPAINT_REQUIRED_VERSION@ is used.
83
     The libmypaint repository is hosted at:
84

85
        https://github.com/mypaint/libmypaint
86 87

 11. You may want to install other third party libraries or programs
88
     that are needed for some of the available plug-ins. We recommend
89
     to check that the following libraries are installed: libjasper,
90
     libpoppler-glib, webkit, libmng, librsvg, libwmf, libaa
91
     and libgs (Ghostscript).
92

93 94 95 96 97 98 99 100 101
     Note that to be able to render CJK (Asian) and Cyrillic characters
     in pdf-imported files, the data package `poppler-data` needs to be
     installed as well. It is only possible to automatically check its
     existence since version @POPPLER_DATA_REQUIRED_VERSION@, but there is no strong requirement
     in our `configure` script because older versions of poppler-data may
     still work. Thus if poppler-data was not detected during ./configure,
     but you are sure it is installed, you are advised to test your build
     afterwards.

102
 12. The Python extension requires Python 2 development headers (@PYTHON2_REQUIRED_VERSION@
103 104
     or newer) to be present. You will also need PyGTK and the
     respective development headers.
105

106 107 108 109 110 111 112
 13. Windows builds can now generate backtrace logs upon a crash.
     The logs will be available in: %APPDATA%\GIMP\@GIMP_APP_VERSION@\CrashLog\
     The feature depends on Dr.MinGW's ExcHndl library:

        https://github.com/jrfonseca/drmingw

 14. Configure GIMP by running the `configure' script. You may want
113
     to pass some options to it, see below.
114

115
 15. Build GIMP by running `make'. The use of GNU make is recommended.
116 117
     If you need to tweak the build to make it work with other flavours
     of make, we'd appreciate if you'd send us a patch with the changes.
118

119
 16. Install GIMP by running `make install'. In order to avoid clashes
120
     with other versions of GIMP, we install a binary called gimp-@GIMP_APP_VERSION@.
121
     By default there's also a link created so that you can type 'gimp'
122 123
     to start gimp-@GIMP_APP_VERSION@.

124
 17. Summary of required packages and what version you need:
125

126 127 128 129 130 131 132 133 134 135 136 137 138 139
     Package Name	  Version

     ATK              @ATK_REQUIRED_VERSION@
     babl             @BABL_REQUIRED_VERSION@
     cairo            @CAIRO_REQUIRED_VERSION@
     Fontconfig       @FONTCONFIG_REQUIRED_VERSION@
     freetype2        @FREETYPE2_REQUIRED_VERSION@
     GDK-PixBuf       @GDK_PIXBUF_REQUIRED_VERSION@
     GEGL             @GEGL_REQUIRED_VERSION@
     GIO
     GLib             @GLIB_REQUIRED_VERSION@
     glib-networking
     GTK+             @GTK_REQUIRED_VERSION@
     HarfBuzz         @HARFBUZZ_REQUIRED_VERSION@
140
     libbzip2
141
     libjpeg
142 143 144
     libpng           @LIBPNG_REQUIRED_VERSION@
     liblzma          @LIBLZMA_REQUIRED_VERSION@
     libmypaint       @LIBMYPAINT_REQUIRED_VERSION@
145
     libtiff
146 147
     Little CMS       @LCMS_REQUIRED_VERSION@
     pangocairo       @PANGOCAIRO_REQUIRED_VERSION@
148
     zlib
Elliot Lee's avatar
Elliot Lee committed
149

150
 18. Summary of optional packages:
151

152
     Package Name	Version		Feature
153

154 155 156 157 158 159
     libaa		-		ASCII art
     gs			-		ghostscript
     webkit		@WEBKIT_REQUIRED_VERSION@		Help browser & webpage
     libjasper		-		JPEG 2000
     libmng		-		MNG
     openexr		@OPENEXR_REQUIRED_VERSION@		OpenEXR
160
     libpoppler-glib	@POPPLER_REQUIRED_VERSION@		PDF import
161
     poppler-data	@POPPLER_DATA_REQUIRED_VERSION@		PDF import (optional: rendering of CJK and Cyrillic)
162 163 164 165 166 167
     cairo-pdf		@CAIRO_PDF_REQUIRED_VERSION@		PDF export
     python 2		@PYTHON2_REQUIRED_VERSION@		Python plug-ins
     librsvg		@RSVG_REQUIRED_VERSION@		SVG
     libwmf		@WMF_REQUIRED_VERSION@		WMF
     libXcursor		-		X11 Mouse Cursor
     libxpm		-		XPM
168
     ExcHndl		-		Crash logs on Windows with Dr. MinGW
169
     libwebp		@WEBP_REQUIRED_VERSION@		WebP (built with --enable-libwebpmux and --enable-libwebpdemux)
170

171
 19. Summary of optional runtime dependencies:
172 173 174 175

     darktable >= 1.7, with lua support enabled for raw loading
     xdg-email for sending emails
     sendmail for sending emails if --with-sendmail enabled
176

Sven Neumann's avatar
Sven Neumann committed
177 178
Please make sure you don't have any old GTK+-2.x, jpeg, etc. libraries
lying around on your system, otherwise configure may fail to find the
179
new ones.
180

181

Elliot Lee's avatar
Elliot Lee committed
182 183
Generic instructions for configuring and compiling auto-configured
packages are included below. Here is an illustration of commands that
184
might be used to build and install GIMP. The actual configuration,
Elliot Lee's avatar
Elliot Lee committed
185 186
compilation and installation output is not shown.

187 188
  % tar xvfz gimp-@GIMP_VERSION@.tar.gz   # unpack the sources
  % cd gimp-@GIMP_VERSION@                # change to the toplevel directory
189 190 191
  % ./configure                           # run the `configure' script
  % make                                  # build GIMP
  % make install                          # install GIMP
Elliot Lee's avatar
Elliot Lee committed
192

193

194 195 196
The `configure' script examines your system, and adapts GIMP to run on
it. The script has many options, some of which are described in the
generic instructions included at the end of this file. All of the
Elliot Lee's avatar
Elliot Lee committed
197
options can be listed using the command `./configure --help'. There
198 199
are several special options the GIMP `configure' script recognizes.
These are:
Elliot Lee's avatar
Elliot Lee committed
200

201 202
  --enable-vector-icons.  This option installs vector icons instead of
     raster icons.
203

204
  --enable-shared and --disable-shared.  This option affects whether
Elliot Lee's avatar
Elliot Lee committed
205
     shared libraries will be built or not. Shared libraries provide
206 207
     for much smaller executables. The default is to enable shared
     libraries. Disabling shared libraries is almost never a good idea.
Elliot Lee's avatar
Elliot Lee committed
208

209
  --enable-debug and --disable-debug.  This option causes the build
Elliot Lee's avatar
Elliot Lee committed
210
     process to compile with debugging enabled. If debugging is
211
     disabled, GIMP will instead be compiled with optimizations turned
Elliot Lee's avatar
Elliot Lee committed
212 213 214
     on. The default is for debugging to be disabled. NOTE: This
     option is intended primarily as a convenience for developers.

215
  --enable-profile and --disable-profile. This option causes the build
216 217 218 219
     process to compile with execution profiling enabled. The default is
     for profiling to be disabled. NOTE: This option is intended primarily
     as a convenience for developers.

220
  --enable-ansi and --disable-ansi.  This option causes stricter
Elliot Lee's avatar
Elliot Lee committed
221 222 223 224
     ANSI C checking to be performed when compiling with GCC. The
     default is for strict checking to be disabled. NOTE: This option
     is intended primarily as a convenience for developers.

225
  --with-gimpdir=DIR.  This option changes the default directory
226 227 228 229
     GIMP uses to search for its configuration files from
     ~/.config/GIMP/@GIMP_APP_VERSION@ (the directory .config/GIMP/@GIMP_APP_VERSION@
     in the user's home directory) to ~/.config/DIR/@GIMP_APP_VERSION@.
     If DIR is an absolute path, the directory will be changed to DIR.
Sven Neumann's avatar
Sven Neumann committed
230

231 232 233 234
  --enable-binreloc.  When compiled for Linux with this option enabled,
     GIMP will be binary relocatable.  Plug-ins and data files will
     be searched relative to the gimp binary instead of in the paths
     defined at compile time.
Sven Neumann's avatar
Sven Neumann committed
235

236 237 238
  --with-shm=[none|sysv|posix|auto].  This option allows you to specify
     how image data is transported between the core and plug-ins. Usually
     the best way to do this is detected automatically.
239

240 241 242 243 244
  --without-libtiff.  configure will bail out if libtiff can not be
     found. You better fix the underlying problem and install these
     libraries with their header files. If you absolutely want to
     compile GIMP without support for TIFF you need to explicitly
     disable them using this option.
Sven Neumann's avatar
Sven Neumann committed
245

246
  --without-aa.  The AA plug-in needs libaa and configure checks for
247
     its presence. Use --without-aa if you run into problems.
248

249 250 251 252 253
  --without-libxpm.  The XPM plug-in needs libxpm and configure checks
     for its presence. If for some reason you don't want to build the
     XPM plug-in even though the library is installed, use
     --without-libxpm to disable it explicitly.

254 255
  --without-libmng.  The MNG plug-in needs libmng and configure checks
     for its presence. If for some reason you don't want to build the
256
     MNG plug-in even though the library is installed, use
257
     --without-libmng to disable it explicitly.
258 259

  --without-wmf.  The WMF plug-in needs libwmf2 and configure checks for
260
     its presence. Use --without-wmf if you run into problems.
261

Sven Neumann's avatar
Sven Neumann committed
262 263
  --without-webkit.  If for some reason you don't want to build the
     Help Browser plug-in, you can use --without-webkit to disable
264 265
     it explicitly.

266 267
  --without-librsvg.  If for some reason you want to build GIMP without
     SVG support, you can build --without-librsvg.
268

269
  --without-poppler.  If for some reason you don't want to build the PDF
Sven Neumann's avatar
Sven Neumann committed
270
     Import plug-in that uses libpoppler, you can use --without-poppler.
271

272 273 274
  --without-print.  If for some reason you don't want to build the Print
     plug-in based on the GtkPrint API, you can build with --without-print.

275 276 277 278 279 280
  --without-alsa.  If you don't want to compile ALSA support into the
     MIDI input controller module, you can use the --without-alsa option.

  --without-linux-input.  If you don't want to compile the Linux Input
     controller module, you can use the --without-linux-input option.

281 282
  --without-hal.  If you want to build the Linux Input controller module
     without HAL support, you can use the --without-hal option.
283

284 285 286
  --without-mac-twain.  If you don't want to compile the Mac OS X
    TWAIN plug-in, you can use the --without-mac-twain option.

287 288
  --with-gif-compression=[lzw|rle|none].  Allows to tune the compression
     algorithm used by the GIF plug-in. If you are afraid of Unisys' LZW
289 290 291
     patent (which should have expired in most countries by now), you
     can go for simple run-length encoding or even configure the plug-in
     to create uncompressed GIFs.
292

293
  --enable-gtk-doc.  This option controls whether the libgimp API
Sven Neumann's avatar
Sven Neumann committed
294
     references will be created using gtk-doc. The HTML pages are
295
     included in a standard tarball, so you will only need this if you
296
     are building from SVN.
297 298 299

  --with-html-dir=PATH.  This option allows to specify where the
     libgimp API reference should be installed. You might want to modify
300
     the path so it points to the place where glib and gtk+ installed
301 302 303
     their API references so that the libgimp reference can link to
     them.

304 305
  --disable-mp. This option allows you to disable support for multiple
     processors. It is enabled by default.
Marc Lehmann's avatar
Marc Lehmann committed
306

307 308 309
  --with-sendmail[=PATH]. This option is used to tell GIMP to send email
     through sendmail instead of xdg-email. You can optionally indicate
     where to find the sendmail command. Otherwise sendmail will simply
310
     be searched in your $PATH at runtime.
311

312
  --with-desktop-dir=[PATH]. This option specifies where to install
313 314 315 316 317
     desktop files. These files are used by desktop environments that
     comply to the specs published at freedesktop.org. The default
     value ${prefix}/share should be fine if your desktop environment
     is installed in the same prefix as gimp. No files are installed
     if you call configure with --without-desktop-dir.
Marc Lehmann's avatar
Marc Lehmann committed
318

319
  --disable-default-binary. Use this option if you don't want to make
320 321
     gimp-@GIMP_APP_VERSION@ the default GIMP installation. Otherwise a link called
     gimp pointing to the gimp-@GIMP_APP_VERSION@ executable will be installed.
322

323 324 325
  --disable-gimp-console.  Use this option if you don't want the
     gimp-console binary to be built in addition to the standard binary.
     gimp-console is useful for command-line batch mode or as a server.
326

327
  --disable-python.  If for some reason you don't want to build the
Sven Neumann's avatar
Sven Neumann committed
328
     Python based PyGIMP plug-in, you can use --disable-python.
329

330 331
  --without-script-fu.  If for some reason you don't want to build the
     Script-Fu plug-in, you can use --without-script-fu.
332

333
  --without-xmc.  The X11 Mouse Cursor(XMC) plug-in needs libXcursor
334
     and configure checks for its presence. If for some reason you
335 336 337
     don't want to build the XMC plug-in even though the library is
     installed, use --without-xmc to disable it explicitly.

338

Elliot Lee's avatar
Elliot Lee committed
339
The `make' command builds several things:
340 341 342
 - A bunch of public libraries in the directories starting with 'libgimp'.
 - The plug-in programs in the 'plug-ins' directory.
 - Some modules in the 'modules' subdirectory.
343
 - The main GIMP program 'gimp-@GIMP_APP_VERSION@' in `app'.
Elliot Lee's avatar
Elliot Lee committed
344

Sven Neumann's avatar
Sven Neumann committed
345 346 347
The `make install' commands installs the GIMP header files associated
with the libgimp libraries, the plug-ins, some data files and the GIMP
executable. After running `make install' and assuming the build process
Sven Neumann's avatar
Sven Neumann committed
348
was successful you should be able to run `gimp'.
Elliot Lee's avatar
Elliot Lee committed
349

Marc Lehmann's avatar
Marc Lehmann committed
350

351 352 353
When ./configure fails
======================

354
'configure' uses pkg-config, a tool that replaces the old foo-config
Sven Neumann's avatar
Sven Neumann committed
355
scripts. The most recent version is available from
356 357
	http://www.freedesktop.org/software/pkgconfig/

358
'configure' tries to compile and run a short GTK+ program. There are
359 360
several reasons why this might fail:

Sven Neumann's avatar
Sven Neumann committed
361
* pkg-config could not find the file 'gtk+-2.0.pc' that gets installed
362 363
  with GTK. (This file is used to get information about where GTK+ is
  installed.)
364

Sven Neumann's avatar
Sven Neumann committed
365 366 367
  Fix: Either make sure that this file is in the path where pkg-config
  looks for it (try 'pkg-config --debug' or add the location of
  gtk+-2.0.pc to the environment variable PKG_CONFIG_PATH before running
368
  configure.
369

Sven Neumann's avatar
Sven Neumann committed
370
* Libraries you installed are not found when you attempt to start GIMP.
371
  The details of how to fix this problem will depend on the system:
372

373 374
  On Linux and other systems using ELF libraries, add the directory to
  holding the library to /etc/ld.so.conf or to the environment variable
375 376 377 378 379 380 381 382 383 384
  LD_LIBRARY_PATH, and run 'ldconfig'.

  On other systems, it may be necessary to encode this path
  into the executable, by setting the LDFLAGS environment variable
  before running configure. For example:

    LDFLAGS="-R/home/joe/lib" ./configure
  or
    LDFLAGS="-Wl,-rpath -Wl,/home/joe/lib" ./configure

Sven Neumann's avatar
Sven Neumann committed
385
* An old version of the GTK+ libraries was found instead of
386
  your newly installed version. This commonly happens if a
Sven Neumann's avatar
Sven Neumann committed
387 388
  binary package of GTK+ was previously installed on your system,
  and you later compiled GTK+ from source.
389

390 391 392 393 394 395 396 397
  Fix: Remove the old libraries and include files.  If you are afraid
  that removing the old libraries may break other packages supplied by
  your distributor, you can try installing GLib, GTK+ and other
  libraries in a different prefix after setting the environment
  variable PKG_CONFIG_LIBDIR to point to lib/pkgconfig/ in that new
  prefix so that it does not try to read the *.pc files from the
  default directory (/usr/lib/pkgconfig).  However, removing the old
  packages is often the easier solution.
398 399 400 401

A detailed log of the ./configure output is written to the file
config.log. This may help diagnose problems.

Manish Singh's avatar
Manish Singh committed
402 403 404 405

When ./configure fails on plug-ins
==================================

Sven Neumann's avatar
Sven Neumann committed
406 407 408
There are some GIMP plug-ins that need additional third-party libraries
installed on your system. For example to compile the plug-ins that load
and save JPEG, PNG or TIFF files you need the related libraries and header
409
files installed, otherwise you'll get a message that plug-in xyz will not
410
be built.
Manish Singh's avatar
Manish Singh committed
411 412 413 414 415 416 417 418 419 420 421 422 423 424 425

If you are sure that those libraries are correctly installed, but configure
fails to detect them, the following might help:

Set your LDFLAGS environment variable to look for the library in a certain
place, e.g. if you are working in a bash shell you would say:
      export LDFLAGS="-L<path_to_library> -L<path_to_another_one>"
before you run configure.

Set your CPPFLAGS environment variable to look for the header file in a
certain place, e.g. if you are working in a bash shell you would say:
      export CPPFLAGS="-I<path_to_header_file> -I<path_to_another_one>"
before you run configure.


Elliot Lee's avatar
Elliot Lee committed
426 427 428 429 430 431 432 433 434 435 436 437 438 439 440 441 442 443 444 445 446 447 448 449 450 451 452 453 454 455 456 457
      Generic Instructions for Building Auto-Configured Packages
      ==========================================================


To compile this package:

1.  Configure the package for your system.  In the directory that this
file is in, type `./configure'.  If you're using `csh' on an old
version of System V, you might need to type `sh configure' instead to
prevent `csh' from trying to execute `configure' itself.

The `configure' shell script attempts to guess correct values for
various system-dependent variables used during compilation, and
creates the Makefile(s) (one in each subdirectory of the source
directory).  In some packages it creates a C header file containing
system-dependent definitions.  It also creates a file `config.status'
that you can run in the future to recreate the current configuration.
Running `configure' takes a minute or two.

To compile the package in a different directory from the one
containing the source code, you must use GNU make.  `cd' to the
directory where you want the object files and executables to go and
run `configure' with the option `--srcdir=DIR', where DIR is the
directory that contains the source code.  Using this option is
actually unnecessary if the source code is in the parent directory of
the one in which you are compiling; `configure' automatically checks
for the source code in `..' if it does not find it in the current
directory.

By default, `make install' will install the package's files in
/usr/local/bin, /usr/local/lib, /usr/local/man, etc.  You can specify
an installation prefix other than /usr/local by giving `configure' the
Manish Singh's avatar
Manish Singh committed
458
option `--prefix=PATH'.
Elliot Lee's avatar
Elliot Lee committed
459 460 461 462 463 464 465 466 467 468 469 470 471 472 473 474 475 476 477 478 479 480 481 482 483 484 485 486 487 488 489 490 491 492 493 494 495 496 497 498 499 500 501 502 503 504 505 506 507

You can specify separate installation prefixes for machine-specific
files and machine-independent files.  If you give `configure' the
option `--exec-prefix=PATH', the package will use PATH as the prefix
for installing programs and libraries.  Normally, all files are
installed using the same prefix.

`configure' ignores any other arguments that you give it.

If your system requires unusual options for compilation or linking
that `configure' doesn't know about, you can give `configure' initial
values for some variables by setting them in the environment.  In
Bourne-compatible shells, you can do that on the command line like
this:
        CC='gcc -traditional' DEFS=-D_POSIX_SOURCE ./configure

The `make' variables that you might want to override with environment
variables when running `configure' are:

(For these variables, any value given in the environment overrides the
value that `configure' would choose:)
CC              C compiler program.
                Default is `cc', or `gcc' if `gcc' is in your PATH.
INSTALL         Program to use to install files.
                Default is `install' if you have it, `cp' otherwise.
INCLUDEDIR      Directory for `configure' to search for include files.
                Default is /usr/include.

(For these variables, any value given in the environment is added to
the value that `configure' chooses:)
DEFS            Configuration options, in the form '-Dfoo -Dbar ...'
LIBS            Libraries to link with, in the form '-lfoo -lbar ...'

If you need to do unusual things to compile the package, we encourage
you to teach `configure' how to do them and mail the diffs to the
address given in the README so we can include them in the next
release.

2.  Type `make' to compile the package.

3.  Type `make install' to install programs, data files, and
documentation.

4.  You can remove the program binaries and object files from the
source directory by typing `make clean'.  To also remove the
Makefile(s), the header file containing system-dependent definitions
(if the package uses one), and `config.status' (all the files that
`configure' created), type `make distclean'.

508
The file `configure.ac' is used as a template to create `configure' by
Elliot Lee's avatar
Elliot Lee committed
509 510
a program called `autoconf'.  You will only need it if you want to
regenerate `configure' using a newer version of `autoconf'.